Summary: e-smith server and gateway - ibays module
%define name e-smith-ibays
Name: %{name}
%define version 1.0.3
%define release 06
Version: %{version}
Release: %{release}
License: GPL
Vendor: Mitel Networks Corporation
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-ibays-1.0.3-02.mitel_patch
Patch1: e-smith-ibays-1.0.3-03.mitel_patch
Patch2: e-smith-ibays-1.0.3-04.mitel_patch
Patch3: e-smith-ibays-1.0.3-05.mitel_patch
Patch4: e-smith-ibays-1.0.3-06.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.13.15-76
Conflicts: e-smith-apache < 0.1.1
BuildRequires: perl, perl-Test-Inline >= 0.12
BuildRequires: e-smith-devtools >= 1.11.0-03
AutoReqProv: no


%description
e-smith server and gateway software - ibays module.

%changelog
* Wed Nov 19 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.3-06]
- Backported the fix for bug 10415, 6.0 styling in the ibay panel.
  [msoulier 10662]

* Wed Aug 13 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.3-05]
- Fixed the content ibay showing up in the ibay list of the primary domain's
  virtual host block. [msoulier 9649]

* Wed Aug 13 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.3-04]
- Correcting the previous revision, and limiting ibay access as sub-urls to
  the primary domain only. [msoulier 9649]

* Wed Aug  6 2003 Michael Soulier <msoulier@e-smith.com>
- [1.0.3-03]
- Unify ibay handling, since 15PrimaryContent is now obsolete, and changing
  the primary domain's content was breaking access to ibays. [msoulier 9649]

* Wed Jul  2 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.3-02]
- Fix path of created starter website index file (don't rely on symlink
  which "should" point to correct place). [charlieb 9241]

* Thu Jun 12 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.3-01]
- Added order to migrate fragments [gordonr 9015]

* Wed Jun 11 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.2-04]
- Fixed Conflicts header - should be <, not <= [gordonr 8903]

* Wed Jun 11 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.2-03]
- Missing 'use esmith::util' [gordonr 8973]

* Tue Jun 10 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.2-02]
- Fix broken symlinks in post-{install,upgrade}. [charlieb 8973]

* Fri Jun  6 2003 Gordon Rowell <gordonr@e-smith.com>
- [1.0.2-01]
- Shuffled some httpd.conf fragments from e-smith-apache [gordonr 8903]

* Tue May 27 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.1-01]
- Fix typo in createlinks script. Rolling version of package
  to correct build problem. [charlieb 8841]

* Tue May 27 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-02]
- Add some code from init-accounts action which depends on
  /home/e-smith/files/ibays directory, which isn't included
  in base. New action is init-ibays. [charlieb 8841]

* Thu May  8 2003 Mark Knox <markk@e-smith.com>
- [1.0.0-01]
- Initial release. Split out from e-smith-base. [markk 8610]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%pre
%post

%build
# Force creation of potentially empty directories
mkdir -p root/etc/e-smith/skel/ibay/{cgi-bin,files,html,.AppleDesktop}
mkdir -p root/etc/e-smith/skel/e-smith/files/ibays
mkdir -p root/etc/e-smith/web/{common,functions}
mkdir -p root/etc/e-smith/web/panels/manager/{cgi-bin,common,html}
mkdir -p root/home/e-smith/files/ibays

LEXICONS=$(find root/etc/e-smith/web/functions \
	-type f | grep -v CVS | grep -v pleasewait)

for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

/sbin/e-smith/generate-lexicons

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
